package shop.alien.store.enums;

/**
 * 操作类型枚举
 *
 * @author ssk
 * @since 2025-12-09
 */
public enum OperationType {
    /**
     * 新增
     */
    ADD("新增"),
    
    /**
     * 删除
     */
    DELETE("删除"),
    
    /**
     * 修改
     */
    UPDATE("修改"),
    
    /**
     * 导入
     */
    IMPORT("导入"),
    
    /**
     * 导出
     */
    EXPORT("导出"),
    
    /**
     * 查询
     */
    QUERY("查询"),
    
    /**
     * 其他
     */
    OTHER("其他");

    private final String description;

    OperationType(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }
}

